---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci`

Work with GitLab CI/CD pipelines and jobs.

```plaintext
glab ci <command> [flags]
```

## Aliases

```plaintext
pipe
pipeline
```

## Options

```plaintext
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`artifact`](artifact.md)
- [`cancel`](cancel/index.md)
- [`ci`](ci/index.md)
- [`config`](config/index.md)
- [`delete`](delete.md)
- [`get`](get.md)
- [`lint`](lint.md)
- [`list`](list.md)
- [`retry`](retry.md)
- [`run`](run.md)
- [`run-trig`](run-trig.md)
- [`status`](status.md)
- [`trace`](trace.md)
- [`trigger`](trigger.md)
- [`view`](view.md)
